### File

`packages/eui/packages/components-next/src/lib/components/eui-popover/eui-popover.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterViewInit` `OnDestroy` `OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-popover`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-popover.component.html`

### Index

###### Properties
_hasBackDrop _hasCloseButton _isDismissable Public cdkTrapFocusAutoCapture Public positionClass Public statesClass templatePortalContent
###### Methods
Public closePopover Public onKeyDown Public openPopover
###### Inputs
hasBackDrop hasCloseButton isDismissable isOpen position size title type
###### Outputs
close open outsideClick
###### Accessors
hasBackDrop hasCloseButton isDismissable isPopoverOpen

### Constructor

`constructor(overlay: Overlay, viewContainerRef: ViewContainerRef, scrollDispatcher: ScrollDispatcher)`
Parameters :
Name | Type | Optional
overlay | `Overlay` | No
viewContainerRef | `ViewContainerRef` | No
scrollDispatcher | `ScrollDispatcher` | No

### Inputs

hasBackDrop

hasCloseButton

isDismissable

isOpen
Default value : `false`

position
Default value : `'bottom'`

size
Default value : `'default'`

title
Type : `string`

type
Default value : `'default'`

### Outputs

close
Type : `EventEmitter`

open
Type : `EventEmitter`

outsideClick
Type : `EventEmitter`

### Methods

Public closePopover
`closePopover()`
Close a popover Returns : `void`

Public onKeyDown
`onKeyDown(event: KeyboardEvent)`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

Public openPopover
`openPopover(origin: ElementRef)`
Open a popover Parameters :
Name | Type | Optional | Description
origin | `ElementRef` | No | Origin of the popover position
Returns : `void`

### Properties

_hasBackDrop
Default value : `false`

_hasCloseButton
Default value : `true`

_isDismissable
Default value : `true`

Public cdkTrapFocusAutoCapture
Default value : `true`

Public positionClass
Type : `string`

Public statesClass
Type : `string`

templatePortalContent
Type : `TemplateRef<unknown>`
Decorators : `@ViewChild('templatePortalContent')`

### Accessors

hasBackDrop
set `hasBackDrop(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

hasCloseButton
set `hasCloseButton(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isDismissable
set `isDismissable(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isPopoverOpen
get `isPopoverOpen()`
Whether the eui-popover is open. Returns : `boolean`

# result-matching ""

# No results matching ""